org.codehaus.classworlds

## Class BytesURLStreamHandler

- java.lang.Object
- - java.net.URLStreamHandler
  - - org.codehaus.classworlds.BytesURLStreamHandler

    public class BytesURLStreamHandler
    extends URLStreamHandler

Author:
  Hani Suleiman (hani@formicary.net) Date: Oct 20, 2003 Time: 12:45:18 AM

### Constructor Summary

Constructors
Constructor and Description
`BytesURLStreamHandler(byte[] content)`

### Method Summary

Methods
`URLConnection` `openConnection(URL url)`

### Methods inherited from class java.net.URLStreamHandler

`equals, getDefaultPort, getHostAddress, hashCode, hostsEqual, openConnection, parseURL, sameFile, setURL, setURL, toExternalForm`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BytesURLStreamHandler

    public BytesURLStreamHandler(byte[] content)

### Method Detail

#### openConnection

    public URLConnection openConnection(URL url)

Specified by:
  `openConnection` in class `URLStreamHandler`